Subject: Re: bug#29597: 26.0.90; line-number-display-width returns incorrect width

From: Noam Postavsky <[email-masked]>
Date: Fri, 8 Dec 2017 17:39:09 -0500

On Fri, Dec 8, 2017 at 11:29 AM, Eli Zaretskii <[email-masked]> wrote:
>> From: Noam Postavsky <[email-masked]>
>> Date: Fri, 8 Dec 2017 11:23:18 -0500
>> Cc: Paul Rankin <[email-masked]>, [email-masked]
>>
>> > I don't object to such trivial wrappers, although I'd raise a brow if
>> > I saw something like this in Emacs.  It sounds too trivial to have 2
>> > more symbols in the name-space.  But that's me.
>>
>> Is the symbol space really a scarce resource?
>
> Not really scarce, but do you really feel good with such trivial
> wrappers?  Do we have anything similar anywhere else?

Flag parameters are pretty common in Emacs, but it doesn't make me
feel better about them.
I feel pretty okay about wrappers. For other examples, string-match-p
is a fairly trivial wrapper around string-match.